<!-- <div class="container">
  <div *ngFor="let movie of movies; index as i" class="row movie">
    <div class="col-md-2 image">
      <img
        src="{{ movie.poster }}"
        height="170"
        width="150"
        style="border-radius: 10px"
      />
    </div>
    <div class="col-md-8">
      <h4>
        <span style="font-size: large">{{ i + 1 }}. </span
        ><span style="color: rgb(26, 130, 214)"> {{ movie.name }} </span>
        <span style="font-size: medium"> ({{ movie.year }}) </span>
      </h4>
      <h6>{{ movie.plot }}</h6>
      <Strong>Actors : </Strong>
      <span *ngFor="let actor of movie.actors" style="margin-right: 10px">
        {{ actor }}
      </span>
      <br />
      <Strong>Producer : </Strong>
      <span>{{ movie.producer }}</span>
    </div>
    <div class="col-md-2 d-flex flex-column justify-content-center">
      <button
        class="btn btn-warning"
        style="margin-bottom: 5px"
        (click)="editMovie(movie.movieid)"
      >
        Edit
      </button>
      <button class="btn btn-danger" (click)="open(deletemodal, movie)">
        Delete
      </button>
    </div>
  </div>
</div> -->

<!-- delete movie Modal -->
<ng-template #deletemodal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Delete Movie</h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h6>Are You Sure You Want to delete {{ deleteMovie }} ?</h6>
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-primary"
      (click)="modal.dismiss('Cancel click')"
    >
      Cancel
    </button>
    <button type="button" class="btn btn-danger" (click)="modal.close()">
      Yes
    </button>
  </div>
</ng-template>

<div class="p-5 flex flex-col justify-content-center">
  <!-- Cards -->
  <div
    *ngFor="let movie of movies; index as i"
    class="w-full h-auto lg:max-w-full lg:flex shadow-lg mb-4"
  >
    <div
      class="
        h-48
        lg:h-auto lg:w-48
        flex-none
        bg-cover
        rounded-t
        lg:rounded-t-none lg:rounded-l
        text-center
        overflow-hidden
      "
      style="background-image: url('{{ movie.poster }}')"
      title="Movie Poster"
    ></div>

    <div
      class="
        border-r border-b border-l border-gray-100
        lg:border-l-0 lg:border-t lg:border-gray-100
        bg-white
        rounded-b
        lg:rounded-b-none lg:rounded-r
        p-4
        flex flex-col
        justify-between
        leading-normal
      "
    >
      <div class="mb-2">
        <div>
          <span class="text-sm">{{ i + 1 }}. </span>
          <span class="text-blue-300 font-bold text-2xl mb-2">{{
            movie.name
          }}</span>
          <span class="text-md"> ({{ movie.year }}) </span>
        </div>
        <p class="text-gray-700 text-base">
          {{ movie.plot }}
        </p>
      </div>
      <div class="mb-2">
        <p>
          <span class="font-bold text-l">Actors : </span>
          <span class="inline px-2" *ngFor="let actor of movie.actors">
            {{ actor }}
          </span>
        </p>
        <p>
          <span class="font-bold text-l">Producer : </span>
          <span class="inline px-2">{{ movie.producer }}</span>
        </p>
      </div>
      <div class="mb-2">
        <button
          class="
            bg-yellow-400
            hover:bg-yellow-800
            text-white
            font-bold
            py-2
            px-4
            rounded
            mr-3
          "
          (click)="editMovie(movie.movieid)"
          style="margin-bottom: 5px"
        >
          Edit
        </button>
        <button
          class="
            bg-red-500
            hover:bg-red-900
            text-white
            font-bold
            py-2
            px-4
            rounded
          "
          (click)="open(deletemodal, movie)"
        >
          Delete
        </button>
      </div>
    </div>
  </div>
</div>
